Put

Put

Endpoint for update provider storage settings
Authorized Roles : PROVIDER

Request
URI
PUT
https://{api_host}/provider/storagesettings
COPY
Request Body
ProviderStorageSettingsRequestDTO of type(s) application/json
Required
{
    "storageType": "string",
    "url": "string",
    "accessKey": "string",
    "secretKey": "string",
    "bucket": "string",
    "region": "string",
    "thumbprint": "string"
}
string
storageType
Optional

storageType

Possible values are : PROVIDERREPO, PROVIDER_LOG_REPO, PROVIDER_BACKUP_REPO,
string
url
Optional

url

string
accessKey
Optional

accessKey

string
secretKey
Optional

secretKey

string
bucket
Optional

bucket

string
region
Optional

region

string
thumbprint
Optional

thumbprint

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderStorageSettings of type(s) application/vnd.vmware.dms-v1+json
{
    "storageType": "string",
    "url": "string",
    "accessKey": "string",
    "secretKey": "string",
    "bucket": "string",
    "region": "string",
    "defaultRepo": false
}
string
storageType
Optional

storageType

Possible values are : PROVIDERREPO, PROVIDER_LOG_REPO, PROVIDER_BACKUP_REPO,
string
url
Optional

url

string
accessKey
Optional

accessKey

string
secretKey
Optional

secretKey

string
bucket
Optional

bucket

string
region
Optional

region

boolean
defaultRepo
Optional

defaultRepo


400

Bad Request

Operation doesn't return any data structure